<id>
Open Graph Meta information creator YaBB 2.6.11
</id>

<version>
0.3
</version>

<mod info>
This mod adds Open Graph meta information

Version History
---------------
0.1 alpha - First release - February 25, 2014
0.2 alpha - 2.6.1 release - December 10, 2014
0.2b alpha - 2.6.1 release (tag ends added) - December 10, 2014
0.3  - 2.6.11 Jan 13, 2015

Instructions:

Apply the mod and upload (in ASCII mode):

cgi-bin/yabb2/Admin/Modlist.pm
cgi-bin/yabb2/Admin/ManageTemplates.pm
cgi-bin/yabb2/Admin/NewSettings.pm
cgi-bin/yabb2/Admin/Settings_Main.pm
cgi-bin/Languages/English/Admin.lng
cgi-bin/yabb2/Sources/Subs.pm
cgi-bin/yabb2/Templates/Forum/default/default.html

In Admin Center -> Forum Settings -> General 
Input your Site name (if not the same as your forum)
Input the logo you want to use for the Facebook blurb.
NOTE: The 'property' attribute in the meta tag is considered invalid by W3C for Doctypes other than HTML5.
</mod info>

<author>
Dandello
</author>

<homepage>
http://www.yabbforumsoftware.com.net/cgi-bin/yabb2/YaBB.pl
</homepage>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    $open_graph_meta = q~OpenGraph_Meta_YaBB2611|Dandello|This mod adds Meta information to the Forum pages for use by OpenGraph|0.3|01/13/15~;
    push @installed_mods, $open_graph_meta;
</add before>

<edit file>
Admin/Settings_Main.pm
</edit file>

<search for>
        {
            description => qq~<label for="mbname">$admin_txt{'350'}</label>~,
            input_html => qq~<input type="text" size="40" name="mbname" id="mbname" value="$mbname" />~,
            name => 'mbname',
            validate => 'text',
        },
</search for>

<add after>
# OpenGraph Mod
        {
            description => qq~<label for="sitename">$admin_txt{'350op'}</label>~,
            input_html => qq~<input type="text" size="40" name="sitename" id="sitename" value="$sitename" />~,
            name => 'sitename',
        },
        {
            description => qq~<label for="siteimg">$admin_txt{'350opi'}</label>~,
            input_html => qq~<input type="text" size="40" name="siteimg" id="siteimg" value="$siteimg" />~,
            name => 'siteimg',
        },
# End OpenGraph Mod
</add after>

<edit file>
Admin/ManageTemplates.pm
</edit file>

<search for>
## End Mod Hook fulltemplate
</search for>

<add before>
    $fulltemplate =~ s/({|<)yabb og_load(}|>)//gsm;
</add before>

<edit file>
Admin/NewSettings.pm
</edit file>

<search for>
1;
EOF
</search for>

<add before>
\$sitename = "\Q$sitename\E";               # The name of your Site for OpenGraph
\$siteimg = "\Q$siteimg\E";                 # URL of your site logo for OpenGraph

</add before>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
1;
</search for>

<add after>
## OpenGraph Mod
$admin_txt{'350op'} = 'Site Name if not the same as Forum Name';
$admin_txt{'350opi'} = 'URL of site logo for Open Graph<br /><span class="small">If no logo is chosen the default YaBB logo will be used.</span>';
##End Open Graph Mod
</add after>

<edit file>
Sources/Subs.pm
</edit file>

<search for>
    $yygrayscript    = q{};
</search for>

<add after>
    $yyog_load       = og_load();
</add after>

<search for>
1;
</search for>

<add before>
sub og_load {

    my $opendesc = $mbname;
    if ( $sitename ) {
        $opendesc = $sitename;
    }

    my $openimage = qq~$defaultimagesdir/yabblogo_26.png~;
    if ( $siteimg ) {
        $openimage = $siteimg;
    }
    my $openurl = qq~$scripturl~;
    if ( $action ) { 
        $openurl .= qq~?action=$action~;
    }
    elsif ( $INFO{'catselect'} ) {
        $openurl .= qq~?catselect=$INFO{'catselect'}~;
    }
    elsif ( $INFO{'board'} ) {
        $openurl .= qq~?board=$INFO{'board'}~;
    }
    elsif ( $INFO{'num'} ) {
        $openurl .= qq~?num=$INFO{'num'}~;
    }
    my $opengraph = qq~
    <meta property="og:title" content="$yytitle" />
    <meta property="og:type" content="website" />
    <meta property="og:site_name" content="$opendesc" />
    <meta property="og:url" content="$openurl" />
    <meta property="og:description" content="Web Forum: $yytitle" />
    <meta property="og:image" content="$openimage" />~;

    return $opengraph;
 }
</add before>

<edit file>
Templates/default/default.html
</edit file>

<search for>
    <title>{yabb title}</title>
</search for>

<add after>
    {yabb og_load}
    <meta name="description" content="Web Forum: {yabb title}" />
</add after>
